<style>
table, th, td {
  border: 1px solid black;
}
</style>


<h1> <%= @movie.title %> </h1>

<h2> Movie Details </h2>

<p>Title: <%= @movie.title %></p>

<p>Director: <%= @movie.director %></p>

<p>Year: <%= @movie.year %></p>


<hr>

<h2> Reviews </h2>

<% if @movie.reviews.empty? %>
 <h3> No reviews yet! </h3>
<% end %>

<%@movie.reviews.each do |review| %>
	<p>
		<bf>Body: </bf><%= review.body %> <br>
		<bf>Score: </bf><%= review.score %> <br>
	 <bf>Author: </bf><%=link_to review.moviegoer.name, moviegoer_path(review.moviegoer) %> <br>
  </p>

	<p>
  	<ul>
  	<li> <%= link_to "Edit Review", edit_movie_review_path(review.movie, review)  %></li>
  	<li><%= link_to 'Delete Review', [review.movie, review],
              method: :delete,
              data: { confirm: "Are you sure?" } %>
	</li>
	</ul>

<% end %>

<hr>

<h2> Add a Review </h2>

<%= form_with model: [ @movie, @movie.reviews.build ] do |form| %>
  <p>
    <%= form.label :body %><br>
    <%= form.text_area :body %>
  </p>
  <p>
    <%= form.label :score %><br>
    <%= form.collection_select :score, [1,2,3,4,5,6,7,8,9,10], :to_i, :to_s%>
  </p>

  <p>
    <%= form.label :moviegoer %><br>
    <%= form.collection_select :moviegoer, Moviegoer.all, :id, :name%>
  </p>

  <p>
  	
    <%= form.submit "Save Review" %>
  </p>
<% end %>

<hr>

<h2> Other Actions </h2>

<ul>

<li><%= link_to "Edit", edit_movie_path(@movie.id) %></li>
<li><%= link_to "Destroy", movie_path(@movie.id), method: :delete,
                  data: { confirm: "Are you sure?" } %></li>
<li><%= link_to "Reviews", movie_path(@movie.id) %></li>

<li>
	<%= link_to "Back Movie List", movies_path %>
</li>
</ul>